/*
 *
 * Copyright 2017-2019 by Kappich Systemberatung, Aachen
 *
 * This file is part of de.bsvrz.ars.ars.
 *
 * de.bsvrz.ars.ars is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * de.bsvrz.ars.ars is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.ars.ars.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * Kappich Systemberatung
 * Martin-Luther-Straße 14
 * 52062 Aachen, Germany
 * phone: +49 241 4090 436
 * mail: <info@kappich.de>
 */

package de.bsvrz.ars.ars.persistence.index;

/**
 * Mögliche Werte in regulären Index-Dateien
 *
 * @author Kappich Systemberatung
 */
public enum IndexValues {
	/**
	 * ID des Containers
	 */
	ContainerId,
	/**
	 * Minimum des Datenindex im Container
	 */
	DataIndexMin,
	/**
	 * Maximum des Datenindex im Container
	 */
	DataIndexMax,
	/**
	 * Minimum der Datenzeit im Container
	 */
	DataTimeMin,
	/**
	 * Maximum der Datenzeit im Container
	 */
	DataTimeMax,
	/**
	 * Minimum der Archivzeit im Container
	 */
	ArchiveTimeMin,
	/**
	 * Maximum der Archivzeit im Container
	 */
	ArchiveTimeMax,
}
